Create ruleset association

  • POST /deployments/traffic-filter/rulesets/{ruleset_id}/associations
Auth

Applies the ruleset to the specified deployment.

Path parameters

ruleset_id string required

The mandatory ruleset ID.

Request body

Mandatory ruleset association description

entity_type string required

Type of the traffic filter ruleset association, such as 'deployment', 'cluster'

id string required

ID of the entity, such as the deployment ID or Elasticsearch cluster ID.

Responses

Create association request was valid and the association already exists

application/json

Response Type: object